%define major	1
%define libname	%mklibname opencl %{major}
%define devname	%mklibname opencl -d
%define icddevname %mklibname ocl-icd -d

Summary:	OpenCL ICL Loader
Name:		ocl-icd
Version:	2.2.13
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://github.com/OCL-dev/%{name}/
Source:		https://github.com/OCL-dev/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	opencl-headers
BuildRequires:	ruby
BuildRequires:	asciidoc
BuildRequires:	xmlto

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{libname}
Summary:	OpenCL ICL Loader
Group:		System/Libraries

%description -n	%{libname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{devname}
Summary:	OpenCL development files
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	opencl-headers
Provides:	opencl-devel = %{version}-%{release}

%description -n	%{devname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the files needed to compile software that uses
OpenCL.

%package -n	%{icddevname}
Summary:	ocl-icd development files
Group:		Development/C
Requires:	%{devname} = %{version}-%{release}
Provides:	ocl-icd-devel = %{version}-%{release}

%description -n	%{icddevname}
This package provides the files needed to build OpenCL client drivers that
use ocl-icd for ICL functionality.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fvi
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf instdocs
mv %{buildroot}%{_docdir}/%{name} instdocs

%files -n %{libname}
%doc README
%{_libdir}/libOpenCL.so.%{major}{,.*}

%files -n %{devname}
%doc README NEWS COPYING
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/OpenCL.pc
%{_mandir}/man7/libOpenCL.7*
%{_mandir}/man7/libOpenCL.so.7*

%files -n %{icddevname}
%doc README NEWS COPYING
%doc instdocs/*
%{_includedir}/ocl_icd.h
%{_libdir}/pkgconfig/ocl-icd.pc


%changelog
* Tue Oct 27 2020 luigiwalser <luigiwalser> 2.2.13-1.mga8
+ Revision: 1639929
- 2.2.13
- remove upstreamed patch
- update URLs

* Sun Aug 30 2020 martinw <martinw> 2.2.12-4.mga8
+ Revision: 1620163
- fix build with GCC 10

* Fri Feb 14 2020 umeabot <umeabot> 2.2.12-3.mga8
+ Revision: 1515679
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.12-2.mga7
+ Revision: 1299954
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 kekepower <kekepower> 2.2.12-1.mga7
+ Revision: 1219892
- Update to version 2.2.12

* Sat Jan 21 2017 luigiwalser <luigiwalser> 2.2.11-1.mga6
+ Revision: 1082862
- 2.2.11

* Fri Dec 09 2016 luigiwalser <luigiwalser> 2.2.10-1.mga6
+ Revision: 1073750
- 2.2.10

* Mon May 09 2016 luigiwalser <luigiwalser> 2.2.9-1.mga6
+ Revision: 1011295
- 2.2.9

* Sat Dec 26 2015 luigiwalser <luigiwalser> 2.2.8-1.mga6
+ Revision: 915392
- 2.2.8

* Mon Sep 14 2015 blino <blino> 2.1.3-4.mga6
+ Revision: 879021
- buildrequire asciidoc and xmlto for man pages
- package man7 man pages (fix build)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 745146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 683149
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.1.3-1.mga5
+ Revision: 591492
- 2.1.3

* Mon Oct 21 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 538931
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 2.1.0-1.mga4
+ Revision: 491136
- 2.1.0

* Sat Sep 07 2013 luigiwalser <luigiwalser> 2.0.4-1.mga4
+ Revision: 475643
- 2.0.4

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 361774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.1-1.mga3
+ Revision: 343637
- new version 2.0.1
- drop missing-include patch, fixed upstream

* Sun Aug 05 2012 anssi <anssi> 1.3-1.mga3
+ Revision: 278559
- add missing include (Add-missing-include-in-ocl_icd_debug.h.patch)
- initial Mageia package release

